package com.usky.iot.service.vo;

import lombok.Data;

/**
 *
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2025/2/10
 */
@Data
public class DmpTopicRequestVO {

    /**
     * topic类型
     **/
    private String topicType;

    /**
     * 产品编码
     **/
    private String productCode;

    /**
     * 产品id
     **/
    private Integer productId;

    /**
     * 设备id
     **/
    private String deviceId;

    /**
     * 设备唯一标识
     **/
    private String deviceUuid;

    /**
     * 设备名称
     **/
    private String deviceName;

    /**
     * sim卡号
     **/
    private String simCode;

    /**
     * 安装位置
     **/
    private String installAddress;

    /**
     * 时间戳
     **/
    private Long timestamp;

    /**
     * 属性值集合
     **/
    private String metrics;

    /**
     * 标签值集合
     **/
    private String tags;

    /**
     * 页码
     **/
    private Integer pageNum;

    /**
     * 每页条数
     **/
    private Integer pageSize;

    /**
     * 设备所属类型（1、普通设备  2、网关设备  3、网关子设备）
     */
    private Integer categoryType;

    /**
     * 所属网关
     */
    private String gatewayUuid;

}
